# -*- coding: utf-8 -*-

from rest_framework import serializers

from .. import models


class BankSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Bank
        fields = '__all__'


class BankSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.Bank
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class BankSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.Bank
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class BankDetailSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.BankDetail
        fields = '__all__'


class BankDetailSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.BankDetail
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class BankDetailSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.BankDetail
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')
